Skip to main content
POST
Retry a failed message

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

message_id
integer
required

The numeric ID of the message

Response

Success

id
number

The ID of the message

content
string | null

The text content of the message

account_id
number

The ID of the account

inbox_id
number

The ID of the inbox

conversation_id
number

The ID of the conversation

message_type
enum<integer>

0 = incoming, 1 = outgoing, 2 = activity, 3 = template.

Available options:
0,
1,
2,
3
created_at
integer

The time at which message was created

updated_at
string<date-time> | null

ISO-8601 timestamp of the last update. Note this differs from created_at on the same object, which is unix epoch seconds.

private
boolean

The flags which shows whether the message is private or not

status
enum<string>

The status of the message

Available options:
sent,
delivered,
read,
failed
source_id
string | null

The source ID of the message

content_type
enum<string>

The type of the template message

Available options:
text,
input_select,
cards,
form
content_attributes
object

The content attributes for each content_type

sender_type
enum<string> | null

The class of the sender, capitalised to match the underlying record type.

Available options:
Contact,
User,
AgentBot
sender_id
number

The ID of the sender

external_source_ids
object

The external source IDs of the message

additional_attributes
object

The additional attributes of the message

processed_message_content
string | null

The processed message content

sentiment
object

The sentiment of the message

conversation
object

The conversation object

attachment
object

The file object attached to the image

sender
object

User/Agent/AgentBot object